Target version: 1.11.2 Spent time: 0.00 hour
Description

Currently the user profile "Token for DataONE R" tab generates text for the R option named "authentication_token". The R client has
been updated so that a different option name needs to be printed depending on whether the token is being created for the

production environment (i.e. from search.dataone.org) or for a test environment (search*.test.dataone.org). For production, the option
name should be "dataone_token" and for test environments it should be "dataone_test_token". (This is

fully described at hitps:/qgithub.com/DataONEorg/rdataone/issues/139)

History

#1 - 03/22/2016 02:11 PM - ben leinfelder

Just curious why there needs to be a different option depending on the environment.

#2 - 03/23/2016 09:17 AM - Peter Slaughter

The separate production and test tokens support the use case where a user is concurrently working in both environments, which has been seen in
several

instances recently. Switching the token definition

between two values is cumbersome and error prone, partially because it is not possible for the client to inspect the token to determine which
environment

is is valid for. This feature is really just for user convenience. There are more details in the github issue that show a user's perspective (an expert user
BTW).

#3 - 05/03/2016 12:10 PM - Lauren Walker
- Assignee set to Lauren Walker

- Target version setto 1.11.2

#4 - 05/10/2016 03:10 PM - Lauren Walker
- Status changed from New to Resolved

- translation missing: en.field_remaining_hours set to 0.0
